
Redmine - Feature #28595

Please remove font definition from the body element.

2018-04-21 09:21 - sergio .

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

public/stylesheets/application.css

body { font-family: Verdana, sans-serif; font-size: 12px; #333; margin: 0; padding: 0; min-width: 900px; }

It's really bad idea to redefine default user font size and family. You can define any font (menu, footer, anywhere), but the main one

should be user defined.

Related issues:

Related to Redmine - Feature #2499: Change CSS font-size units from px to rem... Closed 2009-01-13

History

#1 - 2018-12-14 07:02 - Ivan Verevkin

+1 for customizing that parameter

or at least make it based on screen size, I guess changing 12px => 1rem would be nice

#2 - 2018-12-14 10:27 - Anonymous

+1, but not going to happen... likely not in this century... sadly.

#3 - 2018-12-16 17:23 - Marius BĂLTEANU

- Tracker changed from Defect to Feature

- Status changed from New to Needs feedback

Why is bad to define font size and family in body element?  I'm asking because I would like to understand the reasons and honestly, is the first time

when I hear this.

#4 - 2018-12-16 20:36 - sergio .

Default font is a user setting, that user can define in browser settings.

My choice is 20px DejaVu. It's comfortable for me. And you say: "NO! you will break you eyes on my 12px verdana and will not be able to change it!"

It's ok to set font (with size) for menus, headings, footer anything else, except the main text that user need to read a lot of.

#5 - 2024-09-25 09:24 - Go MAEDA

- Related to Feature #2499: Change CSS font-size units from px to rem to respect browser font settings added
